#	   .libPaths(new = '/gpfs/projects/bsc32/share/R_libs/3.5')

decathlon_settings <-
	function(fcst.sdate = NULL,
		path.outside = NULL,
                hcst.inityear = NULL, 
	        hcst.endyear = NULL){

#For Decathlon we only want temperature
	variable <- "tas"  
        fcst.sdate <- "202002"
#Later forecast by region will be implemented, similar to "country"
#	region <- TRUE/FALSE

#  


    #-------------------------------------------------------------------
    # Libraries & functions load
    #-------------------------------------------------------------------


#	    library(s2dverification)
#	    #library(ncdf)
#	    library(ncdf4)
#	    library(abind)
#	    library(easyVerification)
#	    library(multiApply)
#	    library(startR)
#	    library(easyNCDF)
#	    library(pryr) # To check mem usage.
    
#	    source("create_nc.R")  # Load function create_nc
#	    source("create_nc_country.R")  # Load function create_nc
#	    source("Calibration_fcst.R")
#	    source("s2s4e_tools.R")
#	    library(CSTools)

	    #-------------------------------------------------------------------
	    # Settings 
	    #-------------------------------------------------------------------
 
	    system.name <- "system5"
	    exp.dir <- "/esarchive/exp/ecmwf/system5c3s/" 
	    hcst.inityear <- 2015 
	    hcst.endyear <- 2017
	    remap.method <- "con" 
	    ## TODO: change hardcoded ensemble
	    #ncores=16 #(?)
	    ncores = 1
	    split_factor=1 #(?)

	    lons.min <- 0  #0
	    lons.max <- 360  #360
	    lats.min <- -90  #-90
	    lats.max <- 90 # 90

	    #-------------------------------------------------------------------
	    # Init 
	    #-------------------------------------------------------------------
    
	    # frequencies of obs and exp for teemperature (tas)

	    freq.exp <- "f6h"
	    freq.obs <- "f1h"

	    # Start dates and Lead times

	    fcst.month <- substr(fcst.sdate,5,6) 
	    fcst.year <- substr(fcst.sdate,1,4) 

	    fcst.sdate <- paste(fcst.year, fcst.month, sep = "")
	    hcst.sdates <- paste(strtoi(hcst.inityear):strtoi(hcst.endyear),
	                         fcst.month, sep = "")

	    obs.sdates <- hcst.sdates
    
	    if (system.name == "system5") {
	     hcst.nmember <- 25
	    } else {
	     stop("The system is not system5") 
	    }   
    
	    ltmin <- 2
	    fcst.freq <- "monthly_mean"
	    ltmax <- 4

	    #-------------------------------------------------------------------
	    # Timeseries load 
	    #-------------------------------------------------------------------
	    obs.path <- paste0(
	          "/esarchive/recon/ecmwf/era5/",fcst.freq,
	          "/tas_",
	          freq.obs,
	          "/tas_$file_date$.nc"
	        )

	    fcst.path <- paste0( exp.dir,fcst.freq, "/tas_", freq.exp,
	               "/tas_$sdate$01.nc"
	        )

	    hcst.path <- paste0(
	               exp.dir,fcst.freq,"/tas_",
	               freq.exp,
	               "/tas_$sdate$01.nc"
	        )
	}
