library(s2dverification)
library(ncdf)
library(ncdf4)
library(abind) 
library(easyVerification)
library(multiApply)
library(startR) 
library(easyNCDF)
library(maps)
library(sp)

country <- matrix(list(), nrow=190, ncol=384)
lat <- NcToArray('/esarchive/oper/S2S4E-data/weekly_statistics/tas/tas_20170606.nc', vars_to_read='latitude')
lon <- NcToArray('/esarchive/oper/S2S4E-data/weekly_statistics/tas/tas_20170606.nc', vars_to_read='longitude')
lat <- lat[1,]
lon <- lon[1,]
lon <- ((lon + 180) %% 360) - 180

shp <- rgdal::readOGR("/home/Earth/froura/mygeodata/regions-polygon.shp")

npol <- length(attributes(shp)$polygons) #number of polygons into the shapefile

country.ls <- list()

for(reg in 1:npol){
  for (latitude in 1:length(lat)){
    for (longitude in 1:length(lon)){
    
      country[latitude,longitude] <- point.in.polygon(lat[latitude],
                                                           lon[longitude],
                                                           slot(slot(attributes(shp)$polygons[[reg]],"Polygons")[[1]],"coords")[,1], #lat
                                                           slot(slot(attributes(shp)$polygons[[reg]],"Polygons")[[1]],"coords")[,2] #lon
      )
      if(country[latitude,longitude]==2){
        country[latitude,longitude]==1
        warning("Point close to the border of the polygon. Value 2 converted to 1")
      }
      if(country[latitude,longitude]==3){
        country[latitude,longitude]==1
        warning("Point at the vertex of the polygon. Value 3 converted to 1")
      }
    }
    #print(latitude*(length(lon)/(length(lon)*length(lat))))
    print(paste(substr(as.character(latitude/length(lat)*100),0,3),"%")  )
  }
country.ls[[reg]] <- as.matrix(as.numeric(country))
country <- matrix(list(), nrow=190, ncol=384)
}

# region.names <- c('reg1', 'reg2')
# mask <- array(0, dim=c(length(region.names), length(lat), length(lon)))
# 
# save(country.df, region.names, file="mask_decathlon.Rdata")
